# norootforbuild

Name:				rtmpdump
Version:			2.3
%define soname 0
Release:			3.17
Summary:			RTMP Stream Dumper
Source:        http://rtmpdump.mplayerhq.hu/download/rtmpdump-%{version}.tgz
Patch1:        rtmpdump-fix_u32.patch
URL:				http://rtmpdump.mplayerhq.hu/
Group:			Productivity/Networking/Other
License:			GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	zlib-devel openssl-devel
BuildRequires:	make glibc-devel gcc pkgconfig
Requires:      librtmp%{soname} = %{version}

%description
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%package -n librtmp%{soname}
Summary:			RTMP Stream Dumper Library
Group:         System/Libraries

%description -n librtmp%{soname}
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%package -n rtmpsuck
Summary:			RTMP Transparent Proxy Server
Group:			Productivity/Networking/Other
Requires:      librtmp%{soname} = %{version}

%description -n rtmpsuck
Proxy server that dumps RTMP streams.

%package -n rtmpsrv
Summary:			RTMP Server
Group:			Productivity/Networking/Other
Requires:      librtmp%{soname} = %{version}

%description -n rtmpsrv
Server for RTMP streams.

%package -n rtmpgw
Summary:			RTMP to HTTP Gateway
Group:			Productivity/Networking/Other
Obsoletes:     streams < %{version}
Provides:      streams = %{version}
Requires:      librtmp%{soname} = %{version}

%description -n rtmpgw
HTTP gateway: this is an HTTP server that accepts requests that consist of
rtmpdump parameters. It then connects to the specified RTMP server and returns
the retrieved data in the HTTP response.

%package -n librtmp-devel
Summary:			RTMP Stream Dumping Library
Group:         Development/Libraries/C and C++
%if 0%{?suse_version} >= 1030
Requires:      libopenssl-devel
%else
Requires:      openssl-devel
%endif
Requires:      librtmp%{soname} = %{version}

%description -n librtmp-devel
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.


%prep
%setup -q
%patch1

%build
%__make \
	 CC="%__cc" \
	 OPT="%{optflags}" \
	 prefix="%{_prefix}" \
	 libdir="%{_libdir}" \
	 MANDIR="%{_mandir}"

%__make -C librtmp \
	 CC="%__cc" \
	 OPT="%{optflags}" \
	 prefix="%{_prefix}" \
	 libdir="%{_libdir}" \
	 MANDIR="%{_mandir}" \
	 librtmp.pc

%install
%__install -d "%{buildroot}%{_bindir}"
find . -mindepth 1 -maxdepth 1 -type f -executable -exec %__install -m0755 {} "%{buildroot}%{_bindir}/" \;

pushd librtmp
%__install -d "%{buildroot}%{_includedir}/librtmp" "%{buildroot}%{_libdir}" "%{buildroot}%{_libdir}/pkgconfig"
%__make \
	 prefix="%{buildroot}%{_prefix}" \
	 libdir="%{buildroot}%{_libdir}" \
	 INCDIR="%{buildroot}%{_includedir}/librtmp" \
	 MANDIR="%{buildroot}%{_mandir}" \
	 install
popd #librtmp

%post   -n librtmp%{soname} -p /sbin/ldconfig
%postun -n librtmp%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpdump

%files -n librtmp%{soname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/librtmp.so.%{soname}

%files -n rtmpsuck
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpsuck

%files -n rtmpgw
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpgw

%files -n rtmpsrv
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpsrv

%files -n librtmp-devel
%defattr(-,root,root)
%{_includedir}/librtmp
%{_libdir}/librtmp.so
%{_libdir}/librtmp.a
%{_libdir}/pkgconfig/librtmp.pc
%doc %{_mandir}/man3/librtmp.3%{ext_man}

# vim: set sw=3 ts=3 noet:
# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
%changelog
